Package org.eclipse.text.html

# Class RGB

java.lang.Object
org.eclipse.text.html.RGB

All Implemented Interfaces:
  `Serializable`

public final class RGB extends Object implements Serializable
Instances of this class are descriptions of colors in terms of the primary additive color model (red, green and blue). A color may be described in terms of the relative intensities of these three primary colors. The brightness of each color is specified by a value in the range 0 to 255, where 0 indicates no color (blackness) and 255 indicates maximum intensity.

The hashCode() method in this class uses the values of the public fields to compute the hash value. When storing instances of the class in hashed collections, do not modify these fields after the object has been inserted.

This class is a clone of org.eclipse.swt.RGB without any UI dependencies

Since:
  3.14
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`blue`
the blue component of the RGB
`final int`
`green`
the green component of the RGB
`final int`
`red`
the red component of the RGB

## Constructor Summary

Constructors
Constructor
Description
`RGB(float hue, float saturation, float brightness)`
Constructs an instance of this class with the given hue, saturation, and brightness.
`RGB(int red, int green, int blue)`
Constructs an instance of this class with the given red, green and blue values.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
Compares the argument to the receiver, and returns true if they represent the same object using a class specific comparison.
`float[]`
`getHSB()`
Returns the hue, saturation, and brightness of the color.
`int`
`hashCode()`
Returns an integer hash code for the receiver.
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### red

public final int red
the red component of the RGB

### green

public final int green
the green component of the RGB

### blue

public final int blue
the blue component of the RGB

## Constructor Details

### RGB

public RGB(int red, int green, int blue)
Constructs an instance of this class with the given red, green and blue values.

Parameters:
  `red` - the red component of the new instance
  `green` - the green component of the new instance
  `blue` - the blue component of the new instance
Throws:
  `IllegalArgumentException` -
  - ERROR_INVALID_ARGUMENT - if the red, green or blue argument is not between 0 and 255

### RGB

public RGB(float hue, float saturation, float brightness)
Constructs an instance of this class with the given hue, saturation, and brightness.

Parameters:
  `hue` - the hue value for the HSB color (from 0 to 360)
  `saturation` - the saturation value for the HSB color (from 0 to 1)
  `brightness` - the brightness value for the HSB color (from 0 to 1)
Throws:
  `IllegalArgumentException` -
  - ERROR_INVALID_ARGUMENT - if the hue is not between 0 and 360 or the saturation or brightness is not between 0 and 1
Since:
  3.14

## Method Details

### getHSB

public float[] getHSB()
Returns the hue, saturation, and brightness of the color.

Returns:
  color space values in float format:
  - hue (from 0 to 360)
  - saturation (from 0 to 1)
  - brightness (from 0 to 1)
Since:
  3.14
See Also:
  - `RGB(float, float, float)`

### equals

public boolean equals(Object object)
Compares the argument to the receiver, and returns true if they represent the same object using a class specific comparison.

Overrides:
  `equals` in class `Object`
Parameters:
  `object` - the object to compare with this object
Returns:
  `true` if the object is the same as this object and `false` otherwise
See Also:
  - `hashCode()`

### hashCode

public int hashCode()
Returns an integer hash code for the receiver. Any two objects that return `true` when passed to `equals` must return the same value for this method.

Overrides:
  `hashCode` in class `Object`
Returns:
  the receiver's hash
See Also:
  - `equals(Object)`

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the `RGB`